We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 4481 - Abstract followed by presentation workflow issues
Abstract followed by presentation workflow issues
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
2.3
Other Linux
: P1 normal
Assigned To: Matthew Crider
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 09:55 PDT by Michael Felczak
Modified: 2009-07-06 19:18 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS pre-2.3 CVS (19.71 KB, patch)
2009-06-30 17:49 PDT, Matthew Crider
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Felczak 2009-06-26 09:55:03 PDT
From John:

MODE: Abstract review, followed by presentation review

1. Author submits abstract

2. Director is able to select reviewer and receive review

3. (a) Director rejects -> end of line

3 (b) Or director requests changes [I would think no re-review possible except by director, but it may not be set this way]

3. (c) Or director accepts and “invites presentation” (status)

4. If accepted, only then can author submit presentation and does so (Abstract needs to be still revise-able by author to match the actual paper submitted, much like other metadata).

5. Once presentation is submitted, director is able to select reviewer and receive review

6 (a) Director rejects presentation -> end of line

6 (b) Director requests changes -> able to notify or replace previous reviewer of presentation, or make decision herself.

6 (c) Director accepts paper
Comment 1 Michael Felczak 2009-06-26 09:57:07 PDT
From Michael:

Thanks for the clarification, John. I think the current implementation
makes all of this possible, however, after 6b the submission status is
reset back to the abstract review stage, which seemed confusing to me
(in terms of what the author and director will expect and see).

From John:

Yes, the reset to abstract stage does not seem right, and it should stay in the presentation review stage, which should remain open until the director says yeah or nay.

From Michael:

Related to this, it seems that the revisions required
decision for the presentation should also be displayed against the
paper review. Currently, it's being made in the paper review stage but
displayed as part of the abstract review decision (appended to the
previous invite presentation decision).
Comment 2 Matthew Crider 2009-06-26 09:57:51 PDT
Should this be marked against 2.3, i.e. will there be a 2.1.3 release?  I'm
currently working on OCS 2.3 submission issues (there are many), I can factor
this in.
Comment 3 MJ Suhonos 2009-06-26 10:02:32 PDT
Yes, reassigning to OCS 2.3 -- please assign all future bugs likewise.  The OJS 2.2.x and OCS 2.2.x stable lines are closed except for critical security fixes.
Comment 4 Michael Felczak 2009-06-26 10:05:06 PDT
Yes, sounds good Matt.
Comment 5 Matthew Crider 2009-06-26 10:10:30 PDT
Ok, assigning to myself.  NB I am also fixing other issues with submissions (mostly submissions without supplementary files and some other problems resulting from the switching of steps 2 and 3).
Comment 6 Matthew Crider 2009-06-30 17:49:35 PDT
Created attachment 2072 [details]
Patch against OCS pre-2.3 CVS
Comment 7 Matthew Crider 2009-06-30 17:52:44 PDT
Fixed. (This will require thorough testing -- I gave my all and it seems to work fine, but its pretty crazy code and I'm still not 100% sure its following specified workflow procedures).
Comment 8 Michael Felczak 2009-07-06 19:18:24 PDT
Did some initial testing and looks good, Matt.